SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[UpdateStatusEvaluationPlan]
(
	@VCC	    VARCHAR(50),
	@IdEvaluationPlan      VARCHAR(50),
	@Status   VARCHAR(50),
	@StatusDescription VARCHAR(50) = null
)
AS
BEGIN
	SET NOCOUNT ON
	
	--Actualizar los registros con el nuevo status
	
	UPDATE [dbo].[EvaluationPlan] 
	SET [status] = @Status, 
		[StatusDescription] = IsNull(@StatusDescription, StatusDescription)
	WHERE [Instance] = @VCC 
	AND [ID] = @IdEvaluationPlan
	
	SELECT 1 AS result

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
